## powerstat 0.01.17

=== Makefile ===
CFLAGS += -Wall

VERSION=0.01.17

BINDIR=/usr/bin
MANDIR=/usr/share/man/man8

powerstat: powerstat.o
	$(CC) $< -lm -o $@

powerstat.8.gz: powerstat.8
	gzip -c $< > $@

dist:
	git archive --format=tar --prefix="powerstat-$(VERSION)/" V$(VERSION) | \
		gzip > powerstat-$(VERSION).tar.gz

clean:
	rm -f powerstat powerstat.o powerstat.8.gz
	rm -f powerstat-$(VERSION).tar.gz

install: powerstat powerstat.8.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp powerstat ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp powerstat.8.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
powerstat (0.01.17-1) unstable; urgency=low

  * Update version
  * Add support for /sys/class/power_supply (Closes: #679593)

 -- Colin King <colin.king@canonical.com>  Tue, 3 Jul 2012 11:48:44 +0100

powerstat (0.01.16-1) unstable; urgency=low

  * Initial Debian release (Closes: #678273)

 -- Colin King <colin.king@canonical.com>  Wed, 20 Jun 2012 15:47:02 +0100

powerstat (0.01.15-1) unstable; urgency=low

  * Update version
  * Fix debian/control Description lintian warning

 -- Colin King <colin.king@canonical.com>  Wed, 20 Jun 2012 14:06:11 +0100

powerstat (0.01.14-1) unstable; urgency=low

  * Bump version again
  * Update copyright year in source
  * Fix lintian errors in debian copyright file

 -- Colin King <colin.king@canonical.com>  Thu, 14 Jun 2012 10:07:23 +0100

powerstat (0.01.13-1) unstable; urgency=low

  * Update version once more
  * Update debian copyright

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jun 2012 19:30:20 +0100

powerstat (0.01.12-1) unstable; urgency=low

  * Update version
  * Add in project homepage
  * Update manpage section and date
  * Update copyright URL
  * Make description more litian friendly
  * Fix typo on debian/watch

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jun 2012 19:21:00 +0100

powerstat (0.01.11-1) unstable; urgency=low

  * Update version in Makefile
  * Add debian/watch file
  * Update Maintainer field and add Kamal Mostafa as an Uploader

 -- Colin King <colin.king@canonical.com>  Tue, 12 Jun 2012 18:47:48 +0100

powerstat (0.01.10-1) unstable; urgency=low
    
  * Add dist rule to Makefile
  * Add debian/source format
  * debian: control: update Standards-Version to 3.9.3
  * debian: control: fix Section
  * debian: control: fix Description

 -- Colin King <colin.king@canonical.com>  Tue, 12 Jun 2012 16:46:23 +0100

powerstat (0.01.09) precise; urgency=low
    
  * Fix typo

 -- Colin King <colin.king@canonical.com>  Wed, 22 Feb 2012 16:42:00 +0000

powerstat (0.01.08) precise; urgency=low
    
  * Handle broken HP battery info

 -- Colin King <colin.king@canonical.com>  Tue, 21 Feb 2012 16:25:00 +0000

powerstat (0.01.07) precise; urgency=low
    
  * Cater for critical discharging state too

 -- Colin King <colin.king@canonical.com>  Tue, 10 Jan 2012 17:29:00 +0000

powerstat (0.01.06) precise; urgency=low

  * Fix start delay time in message

 -- Colin King <colin.king@canonical.com>  Tue, 6 Dec 2011 12:16:00 +0000

powerstat (0.01.05) precise; urgency=low

  * Fix stupid cut-n-paste error in man page

 -- Colin King <colin.king@canonical.com>  Mon, 28 Nov 2011 11:35:00 +0000

powerstat (0.01.04) precise; urgency=low

  * Only output power stats when valid data is available.
  * Don't to task monitoring with non-root privilege.
  * Tidy up count down delay.
  * If battery supplies a rate, don't flag it as an estimate.

 -- Colin King <colin.king@canonical.com>  Mon, 28 Nov 2011 11:04:00 +0000

powerstat (0.01.03) precise; urgency=low

  * Add some slop to ensure multiple ~1 second updates make up 120 seconds of samples
  * debian: remove cdbs Build-Depends

 -- Colin King <colin.king@canonical.com>  Fri, 25 Nov 2011 19:46:00 +0000

powerstat (0.01.02) precise; urgency=low

  * bump start delay to 3 mins add comments
  * Minor whitespace tab cleanups
  * minor alignment tweaks
  * const func args
  * Ensure we run for at least 5 mins of real data gathering.
  * handle broken batteries that don't supply a rate

 -- Colin King <colin.king@canonical.com>  Fri, 25 Nov 2011 19:19:00 +0000

powerstat (0.01.01) precise; urgency=low

  * fix typo in man page
  * Makefile: add manpage and some minor debian helps

 -- Colin King <colin.king@canonical.com>  Wed, 16 Nov 2011 19:28:00 +0000

powerstat (0.01.00) precise; urgency=low

  * Initial version 

 -- Colin King <colin.king@canonical.com>  Wed, 16 Nov 2011 12:15:00 +0000

=== debian/control ===
Source: powerstat
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Uploaders: Kamal Mostafa <kamal@whence.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7)
Homepage: http://kernel.ubuntu.com/~cking/powerstat

Package: powerstat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: laptop power measuring tool
 Powerstat measures the power consumption of a mobile PC that has
 a battery power souce.  The output is like vmstat but also shows
 power consumption statistics.  At the end of a run, powerstat 
 will calculate the average, standard deviation and min/max of
 the gathered data.

## powerstat 0.01.21

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-CFLAGS += -Wall
+VERSION=0.01.21
 
-VERSION=0.01.17
+CFLAGS += -Wall -DVERSION='"$(VERSION)"'
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
 
 powerstat: powerstat.o
-	$(CC) $< -lm -o $@
+	$(CC) $(CFLAGS) $< -lm -o $@ $(LDFLAGS)
 
 powerstat.8.gz: powerstat.8
 	gzip -c $< > $@

## powerstat 0.01.25

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.01.21
+VERSION=0.01.25
 
 CFLAGS += -Wall -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.01.25-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: don't abort if kernel does not support NETLINK_CONNECTOR

 -- Colin King <colin.king@canonical.com>  Wed, 3 July 2013 18:54:23 +0100

powerstat (0.01.24-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: handle -ve tv by forcing resample rather

 -- Colin King <colin.king@canonical.com>  Mon, 10 June 2013 20:01:59 +0100

powerstat (0.01.23-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: extra feedback when we cannot find a battery

 -- Colin King <colin.king@canonical.com>  Thu, 9 May 2013 00:13:49 +0100

powerstat (0.01.22-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: fix indentation that may lead to confusion
  * powerstat: tidy up list append in log_printf
  * powerstat: va_end is missing in error path in log_printf
  * powerstat: need to close sock if bind fails
  * powerstat: need to closedir on dir before we bail out on error return
  * powerstat: fix leak of info when there are no free slots in table
  * powerstat.8: ensure - sign is escaped in manual

 -- Colin King <colin.king@canonical.com>  Tue, 7 May 2013 16:41:12 +0100

powerstat (0.01.21-1) unstable; urgency=low

  * Makefile: bump version
  * powerstat: handle cases where -ve deltas occur from /proc/stat

 -- Colin King <colin.king@canonical.com>  Wed, 20 Mar 2013 16:01:05 +0000

powerstat (0.01.20-1) unstable; urgency=low

  * Makefile: bump version
  * debian: control: set Architecture to just linux-any

 -- Colin King <colin.king@canonical.com>  Tue, 19 Feb 2013 22:26:29 +0000

powerstat (0.01.19-1) unstable; urgency=low

  * Makefile: bump version
  * Correctly scan in HP design voltage for workaround case

 -- Colin King <colin.king@canonical.com>  Tue, 19 Feb 2013 14:16:23 +0000

powerstat (0.01.18-1) unstable; urgency=low

  * powerstat: minor whitespace cleanup
  * Makefile: bump version
  * Makefile: include CFLAGS and LDFLAGS into CC line
  * debian: rules: force dh_ to apply flags during make phase
  * Remove unwanted debian/powerstat.install
  * debian: control: update Standards-Version to 3.9.4
  * Put version number into the powerstat help info
  * powerstat: update copyright year
  * powerstat: shorten error message when machine is not discharging
  * fix typo in debian control

 -- Colin King <colin.king@canonical.com>  Tue, 19 Feb 2013 13:09:56 +0000

## powerstat 0.01.30

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-VERSION=0.01.25
+VERSION=0.01.30
 
-CFLAGS += -Wall -DVERSION='"$(VERSION)"'
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
@@ -12,8 +12,11 @@
 	gzip -c $< > $@
 
 dist:
-	git archive --format=tar --prefix="powerstat-$(VERSION)/" V$(VERSION) | \
-		gzip > powerstat-$(VERSION).tar.gz
+	rm -rf powerstat-$(VERSION)
+	mkdir powerstat-$(VERSION)
+	cp -rp Makefile powerstat.c powerstat.8 COPYING powerstat-$(VERSION)
+	tar -zcf powerstat-$(VERSION).tar.gz powerstat-$(VERSION)
+	rm -rf powerstat-$(VERSION)
 
 clean:
 	rm -f powerstat powerstat.o powerstat.8.gz

=== debian/changelog ===
powerstat (0.01.30-1) unstable; urgency=low

  * Makefile: bump version
  * Makefile: Fix make dist, use plain old tar to omit debian contents
  * Fix copyright
  * Add COPYING file

 -- Colin King <colin.king@canonical.com>  Thu, 20 March 2014 12:19:21 +0000

powerstat (0.01.29-1) unstable; urgency=low

  * Makefile: bump version
  * Avoid some potential buffer overflows

 -- Colin King <colin.king@canonical.com>  Fri, 14 March 2014 09:45:32 +0000

powerstat (0.01.28-1) unstable; urgency=low

  * Makefile: bump version
  * debain/control: update standards version
  * Re-work battery not connected failure message
  * Add -S option to compute standard average on capacity values
  * Fix comment
  * Move some variables to a lower scope

 -- Colin King <colin.king@canonical.com>  Thu, 23 January 2014 16:54:04 +0000

powerstat (0.01.27-1) unstable; urgency=low

  * Makefile: bump version
  * Update copyright date
  * Some minor code clean ups, no functional change
  * factor out rolling average calculation

 -- Colin King <colin.king@canonical.com>  Tue, 7 January 2014 16:26:00 +0000

powerstat (0.01.26-1) unstable; urgency=low

  * Makefile: bump version
  * Shorten help info to fit on 80 column tty
  * Allow idle threshold to be a double rather than an int
  * Add some (void)-ifcations
  * Constify a bunch of pointers
  * Fix build warning now we are using -Wextra
  * Makefile: add -Wextra

 -- Colin King <colin.king@canonical.com>  Thu, 28 November 2013 21:35:01 +0000

=== debian/control ===
Source: powerstat
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Uploaders: Kamal Mostafa <kamal@whence.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7)
Homepage: http://kernel.ubuntu.com/~cking/powerstat

Package: powerstat
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: laptop power measuring tool
 Powerstat measures the power consumption of a mobile PC that has
 a battery power source.  The output is like vmstat but also shows
 power consumption statistics.  At the end of a run, powerstat 
 will calculate the average, standard deviation and min/max of
 the gathered data.

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/powerstat/powerstat-(.+).tar.gz

## powerstat 0.01.31

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.01.30
+VERSION=0.01.31
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.01.31-1) unstable; urgency=low

  * Makefile: bump version
  * Handle incorrect option by dumping out help
  * constify a few more function parameters
  * Make max_readings, sample_delay and start_delay long ints, don't use atoi

 -- Colin King <colin.king@canonical.com>  Sun, 18 May 2014 23:26:32 +0100

## powerstat 0.01.35

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.01.31
+VERSION=0.01.35
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.01.35-1) unstable; urgency=medium

  * Makefile: bump version
  * Update copyright message in manual
  * Replace --help with -h in error message
  * Remove ACPI reference since it can run on non-ACPI systems

 -- Colin King <colin.king@canonical.com>  Mon, 2 Feb 2015 15:11:00 +0000

powerstat (0.01.34-1) unstable; urgency=medium

  * Makefile: bump version
  * Move a couple of variables to a different scope
  * Clarify ? & precedence
  * Rename "Machine" --> "Device" as this can be used on small devices
  * Make sample delay to be floating point, clean up error handling
  * Handle bad reads from /proc/stat and make these invalid
  * Forgot to free stats on error return paths
  * Increment time t only when a timeout has occurred
  * Add some more comments
  * Add check on /proc/stats read and abort if failed
  * Add '?' getopt handling
  * Add more checking when getting the time
  * Update copyright year
  * Remove SIGSEGV and SIGBUS traps
  * Simplify the delay time calculations based on start time

 -- Colin King <colin.king@canonical.com>  Fri, 16 Jan 2015 12:07:11 +0000

powerstat (0.01.33-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove trailing . from man page title
  * Improve signal handling, catch more signals
  * Remove some NULL comparisons
  * Make SANE_STATS macro a little more useful
  * Add better error checking on gettimeofday
  * Handle time() error returns
  * Add some more comments

 -- Colin King <colin.king@canonical.com>  Fri, 19 Dec 2014 14:32:00 +0000

powerstat (0.01.32-1) unstable; urgency=low

  * Makefile: bump version
  * Debian/control: update Standards-Versionb and Build-Depends
  * Close sock fd if not in error state
  * Ignore returns from close/fclose by explicit (void) cast
  * Tidy up overly long lines
  * Tidy up over long lines in stats_print()
  * Add more comments and tidy code for row_increment
  * Rename time_now() to get_time() to avoid time_now var clashes
  * Tidy up snprintfs and (void) the returns
  * Add check for log->item allocation failure

 -- Colin King <colin.king@canonical.com>  Fri, 14 Nov 2014 20:02:00 +0000

## powerstat 0.02.06

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,22 @@
-VERSION=0.01.35
+#
+# Copyright (C) 2011-2015 Canonical, Ltd.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+VERSION=0.02.06
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.02.06-1) unstable; urgency=medium

  * Makefile: bump version
  * allocate log item with correct size (LP: #1506168)

 -- Colin King <colin.king@canonical.com>  Wed, 14 Oct 2015 19:16:35 +0100

powerstat (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix allocation of log_item, as allocating with incorrect struct

 -- Colin King <colin.king@canonical.com>  Wed, 9 Sep 2015 10:01:02 +0100

powerstat (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Update debian/compat to 9
  * Fix dates in changelog
  * Update date in manual
  * Add power-calibrate reference in manual
  * Update usage, use options rather than partial list of opts

 -- Colin King <colin.king@canonical.com>  Tue, 1 Sep 2015 09:27:25 +0100

powerstat (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Handle read errors from reading comm and/or cmdline files

 -- Colin King <colin.king@canonical.com>  Fri, 10 Jul 2015 11:29:00 +0100

powerstat (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * manual: improve the -z option
  * Add -a (all) option
  * When using -z, set sample delay to zero if not specified
  * ensure we don't get buffer overflow on comm and cmdline reads
  * Add thread/child detection, add better proc name fetching

 -- Colin King <colin.king@canonical.com>  Thu, 2 Jul 2015 09:52:00 +0100

powerstat (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix power formatting when E estimate is being displayed
  * Check for insane temperatures, set to zero if out of range
  * Re-enable -z option

 -- Colin King <colin.king@canonical.com>  Wed, 24 Jun 2015 14:51:00 +0100

powerstat (0.02.00-1) unstable; urgency=medium

  * Makefile: bump to version 0.02.00
  * Add thermal zone temperature monitoring

 -- Colin King <colin.king@canonical.com>  Fri, 19 Jun 2015 10:35:00 +0100

powerstat (0.01.40-1) unstable; urgency=medium

  * Makefile: bump version
  * Add CPU frequencies to histogram mode
  * Update date on manual
  * Don't divide by floating point zero, clarify CPU freq average calculation
  * Add check to ensure we don't free scandir list when no entries found
  * Fix a couple of warnings found on ARM builds
  * Add the -n no headings option
  * Add in a new -f CPU frequency option

 -- Colin King <colin.king@canonical.com>  Thu, 11 Jun 2015 07:56:00 +0100

powerstat (0.01.39-1) unstable; urgency=medium

  * Makefile: bump version
  * Ensure we scan a buffer correctly
  * Add -c "C-state" option
  * Make statistics #defines into a stat_type enumeration
  * Specify integer types with stdint int types
  * Clean up comments, add more comments where necessary
  * pass tv into double_to_timeval rather than returning a timeval struct
  * Remove "Battery" from message since we can measure using RAPL

 -- Colin King <colin.king@canonical.com>  Sun, 7 Jun 2015 19:50:00 +0100

powerstat (0.01.38-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove signal handling for SIGILL, SIGABRT
  * Makefile: add copyright

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 18:03:00 +0100

powerstat (0.01.37-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix typo and update date in man page
  * Add CPU consumption stats to -H mode
  * Fix up style warnings from cppcheck
  * Fix up default start delay duration for RAPL

 -- Colin King <colin.king@canonical.com>  Wed, 15 Apr 2015 12:05:00 +0500

powerstat (0.01.36-1) unstable; urgency=medium

  * Makefile: bump version
  * Update date in manual
  * Add more precision to RAPL domain stats
  * Remove rapl_rates, stash per domain stats directly
  * Add -H histogram option
  * Only accumulate RAPL package power for total Watts in -R mode
  * Move fclose to fix a resource leak
  * Allow all RAPL power domains to be printed
  * Prevernt RAPL wrap around the correct way
  * Handle -ve values from RAPL
  * Cater for systems (such as VMs) that have RAPL interface but no domains
  * Add -R RAPL power measurement option

 -- Colin King <colin.king@canonical.com>  Sun, 29 Mar 2015 17:27:00 +0100

## powerstat 0.02.09

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2011-2015 Canonical, Ltd.
+# Copyright (C) 2011-2016 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.06
+VERSION=0.02.09
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Do not overflow power domain and thermal zone buffers (LP: #1551297)
  * Tag RAPL stats as valid so stats show up in avg, std.dev. (LP: #1551287)

 -- Colin King <colin.king@canonical.com>  Thu, 3 Mar 2016 11:52:11 +0000

powerstat (0.02.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Move N/A message for GPU power right one char
  * Add some more per function comments
  * constify a few more func args
  * Make all non-main functions static
  * Minor fix up on GPU Watts field
  * Add GPU average stats
  * Clean up column formatting
  * add -g GPU stats
  * Update and correct copyright years

 -- Colin King <colin.king@canonical.com>  Thu, 25 Feb 2016 14:34:07 +0000

powerstat (0.02.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: re-work some parts of the manual
  * Manual: add missong comma in SEE ALSO list
  * Move structure links to head of structures
  * Use a more efficient hashing function

 -- Colin King <colin.king@canonical.com>  Sat, 28 Nov 2015 17:40:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/powerstat
 
 Package: powerstat

## powerstat 0.02.10

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.09
+VERSION=0.02.10
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.02.10-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8

 -- Colin King <colin.king@canonical.com>  Thu, 5 May 2016 13:29:22 +0100

## powerstat 0.02.11

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,19 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.10
+VERSION=0.02.11
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
+
+#
+# Pedantic flags
+#
+ifeq ($(PEDANTIC),1)
+CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wmissing-format-attribute -Wno-long-long -Wpacked \
+	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+endif
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
@@ -32,7 +42,8 @@
 dist:
 	rm -rf powerstat-$(VERSION)
 	mkdir powerstat-$(VERSION)
-	cp -rp Makefile powerstat.c powerstat.8 COPYING powerstat-$(VERSION)
+	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING \
+		powerstat-$(VERSION)
 	tar -zcf powerstat-$(VERSION).tar.gz powerstat-$(VERSION)
 	rm -rf powerstat-$(VERSION)

=== debian/changelog ===
powerstat (0.02.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add mascot to dist rule
  * Remove two blank lines
  * Allow float compares a little slop
  * Makefile: add PEDANTIC flags
  * Add powerstat mascot

 -- Colin King <colin.king@canonical.com>  Thu, 1 Dec 2016 12:21:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/powerstat

## powerstat 0.02.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2011-2016 Canonical, Ltd.
+# Copyright (C) 2011-2017 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.11
+VERSION=0.02.12
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
@@ -42,7 +42,7 @@
 dist:
 	rm -rf powerstat-$(VERSION)
 	mkdir powerstat-$(VERSION)
-	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING \
+	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING snapcraft \
 		powerstat-$(VERSION)
 	tar -zcf powerstat-$(VERSION).tar.gz powerstat-$(VERSION)
 	rm -rf powerstat-$(VERSION)

=== debian/changelog ===
powerstat (0.02.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add snapcraft files to dist rule
  * Fix incorrect GPU stats when sample rate is not 1 second (LP: #1699134)
  * snapcraft: add default type and grade keys
  * snapcraft: Makefile: remove icon hack
  * reduce the scope of the variable 'buf'
  * snapcraft.yaml: remove bogos unnecessary libs
  * Add snapcraft files
  * update copyright year

 -- Colin King <colin.king@canonical.com>  Tue, 20 Jun 2017 14:00:01 +0100

## powerstat 0.02.15

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2011-2017 Canonical, Ltd.
+# Copyright (C) 2011-2018 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.12
+VERSION=0.02.15
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.02.15-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: remove trailing whitespace in text
  * debian/control: update Standards-Version to 4.1.2
  * Fix spelling mistake in comment
  * Update copyright year
  * Add GNU format attribute to log_printf

 -- Colin King <colin.king@canonical.com>  Wed, 31 Jan 2018 11:15:11 +0000

powerstat (0.02.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Add geometic mean to statistics

 -- Colin King <colin.king@canonical.com>  Wed, 25 Oct 2017 10:58:23 +0000

owerstat (0.02.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Increase temp buf from 16 to 32 bytes, cleans up gcc warning
  * Add more scanf sanity checking
  * debian/control: update Standards-version to 4.1.1
  * voidify function returns
  * use sizeof an object rather than the objects type
  * Don't use sentinel for end of signals[], use array size instead
  * include <sys/uio.h> for writev
  * powerstat: break wide macro over 2 lines

 -- Colin King <colin.king@canonical.com>  Thu, 19 Oct 2017 09:48:11 +0100

=== debian/control ===
Source: powerstat
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Uploaders: Kamal Mostafa <kamal@whence.com>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 9)
Homepage: http://kernel.ubuntu.com/~cking/powerstat

Package: powerstat
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: laptop power measuring tool
 Powerstat measures the power consumption of a mobile PC that has
 a battery power source.  The output is like vmstat but also shows
 power consumption statistics.  At the end of a run, powerstat
 will calculate the average, standard deviation and min/max of
 the gathered data.

## powerstat 0.02.18

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.15
+VERSION=0.02.18
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
@@ -42,8 +42,8 @@
 dist:
 	rm -rf powerstat-$(VERSION)
 	mkdir powerstat-$(VERSION)
-	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING snapcraft \
-		powerstat-$(VERSION)
+	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING snap \
+		.travis.yml powerstat-$(VERSION)
 	tar -zcf powerstat-$(VERSION).tar.gz powerstat-$(VERSION)
 	rm -rf powerstat-$(VERSION)

=== debian/changelog ===
powerstat (0.02.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Rename snapcraft directory to snap, add .travis.yml file to dist rule
  * Compute Geometric Mean without overflow with large sets of data
  * Add travis yaml file

 -- Colin King <colin.king@canonical.com>  Sun, 22 Jul 2018 23:18:38 +0100

powerstat (0.02.17-1) unstable; urgency=medium

  * Makefile: bump version
  * voidify returns from log_printf call
  * Make indices arrays const
  * Make cpu_freq_scale const
  * Add hint on how to run if not in "discharge" mode
  * Add adjustable C-state column width for C-state name column
  * snapcraft: make confinement strict
  * snapcraft: add plugs

 -- Colin King <colin.king@canonical.com>  Tue, 29 May 2018 12:57:12 +0100

powerstat (0.02.16-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/copyright: use secure https url
  * debian/control: remove empty last line
  * update debian/compat to 11
  * Fix range of CPU frequencies histogram. Scale by 1000 and not 1e9

 -- Colin King <colin.king@canonical.com>  Fri, 18 May 2018 23:16:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Homepage: http://kernel.ubuntu.com/~cking/powerstat
 
 Package: powerstat
@@ -16,4 +16,3 @@
  power consumption statistics.  At the end of a run, powerstat
  will calculate the average, standard deviation and min/max of
  the gathered data.
-

## powerstat 0.02.20

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2011-2018 Canonical, Ltd.
+# Copyright (C) 2011-2019 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.18
+VERSION=0.02.20
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.02.20-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update to compat level 12
  * Use snapcraft automatic versioning

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 17:42:51 +0100

powerstat (0.02.19-1) unstable; urgency=medium

  * Makefile: bump version
  * Update copyright year
  * Make struct cpu_info pack more efficiently

 -- Colin King <colin.king@canonical.com>  Sat, 6 Jul 2019 22:47:22 +0100

## powerstat 0.02.21

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2011-2019 Canonical, Ltd.
+# Copyright (C) 2011-2020 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.20
+VERSION=0.02.21
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

## powerstat 0.02.22

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.21
+VERSION=0.02.22
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
@@ -32,6 +32,7 @@
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
+BASHDIR=/usr/share/bash-completion/completions
 
 powerstat: powerstat.o
 	$(CC) $(CFLAGS) $< -lm -o $@ $(LDFLAGS)
@@ -43,7 +44,7 @@
 	rm -rf powerstat-$(VERSION)
 	mkdir powerstat-$(VERSION)
 	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING snap \
-		.travis.yml powerstat-$(VERSION)
+		.travis.yml bash-completion powerstat-$(VERSION)
 	tar -zcf powerstat-$(VERSION).tar.gz powerstat-$(VERSION)
 	rm -rf powerstat-$(VERSION)
 
@@ -56,3 +57,5 @@
 	cp powerstat ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp powerstat.8.gz ${DESTDIR}${MANDIR}
+	mkdir -p ${DESTDIR}${BASHDIR}
+	cp bash-completion/powerstat ${DESTDIR}${BASHDIR}

=== debian/changelog ===
powerstat (0.02.22-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash command completion script

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 14:33:11 +0000

powerstat (0.02.21-1) unstable; urgency=medium

  * Makefile: bump version
  * Ensure strlen on new_name is safe
  * file_get_uint64: ensure val is zero'd to fix static analysis warnings
  * Ensure power stats in p2 are initialized, fixes read if uninitialized values
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Mon, 13 Jan 2020 18:59:33 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 Homepage: http://kernel.ubuntu.com/~cking/powerstat
 
 Package: powerstat

## powerstat 0.02.24

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.22
+VERSION=0.02.24
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
@@ -30,9 +30,10 @@
 	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
 endif
 
-BINDIR=/usr/bin
-MANDIR=/usr/share/man/man8
-BASHDIR=/usr/share/bash-completion/completions
+prefix=/usr
+BINDIR=$(prefix)/bin
+MANDIR=$(prefix)/share/man/man8
+BASHDIR=$(prefix)/share/bash-completion/completions
 
 powerstat: powerstat.o
 	$(CC) $(CFLAGS) $< -lm -o $@ $(LDFLAGS)

=== debian/changelog ===
powerstat (0.02.24-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: Add Rules-Requires-Root: no

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 21:30:37 +0100

powerstat (0.02.23-1) unstable; urgency=medium

  * Makefile: bump minor version
  * Debian: remove compat, use debhelper-compat in Build-Depends
  * Makefile: respect standard prefix= variable (LP: #1877744)
  * zero the ws struct to clear static analysis warnings

 -- Colin King <colin.king@canonical.com>  Fri, 15 May 2020 23:54:23 +0100

## powerstat 0.02.25

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2011-2020 Canonical, Ltd.
+# Copyright (C) 2011-2021 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.24
+VERSION=0.02.25
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== snap/Makefile ===
all:
	snapcraft

clean:
	rm -rf setup *.snap
	snapcraft clean

=== debian/changelog ===
powerstat (0.02.25-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove deprecated siginterrupt call, replace with SA_RESTART flag
  * update copyright to 2021
  * snapcraft: replace version-script with an override

 -- Colin King <colin.king@canonical.com>  Fri, 19 Feb 2021 12:18:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: powerstat
+Rules-Requires-Root: no
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Uploaders: Kamal Mostafa <kamal@whence.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (=13)
 Homepage: http://kernel.ubuntu.com/~cking/powerstat
 
 Package: powerstat

## powerstat 0.02.26

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.25
+VERSION=0.02.26
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.02.26-1) unstable; urgency=medium

  * Makefile: bump version
  * Clean up some Coverity static analysis pedantic warnings
  * Use strlcpy instead of strncpy for safe string handling
  * Fix recv error when resources are low

 -- Colin King <colin.king@canonical.com>  Thu, 24 Jun 2021 17:45:12 +0100

## powerstat 0.02.27

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.26
+VERSION=0.02.27
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
@@ -45,7 +45,7 @@
 	rm -rf powerstat-$(VERSION)
 	mkdir powerstat-$(VERSION)
 	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING snap \
-		.travis.yml bash-completion powerstat-$(VERSION)
+		.travis.yml bash-completion README.md powerstat-$(VERSION)
 	tar -zcf powerstat-$(VERSION).tar.gz powerstat-$(VERSION)
 	rm -rf powerstat-$(VERSION)

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.2
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
-Homepage: http://kernel.ubuntu.com/~cking/powerstat
+Homepage: https://github.com/ColinIanKing/powerstat
 
 Package: powerstat
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	$(shell dpkg-buildflags --export=sh); dh_auto_build

%:
	dh $@

## powerstat 0.03.01

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Copyright (C) 2011-2021 Canonical, Ltd.
+# Copyright (C) 2021-2023 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.27
+VERSION=0.03.01
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
@@ -46,7 +47,7 @@
 	mkdir powerstat-$(VERSION)
 	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING snap \
 		.travis.yml bash-completion README.md powerstat-$(VERSION)
-	tar -zcf powerstat-$(VERSION).tar.gz powerstat-$(VERSION)
+	tar -Jcf powerstat-$(VERSION).tar.xz powerstat-$(VERSION)
 	rm -rf powerstat-$(VERSION)
 
 clean:

=== debian/changelog ===
powerstat (0.03.01-1) unstable; urgency=medium

  * Makefile: bump minor version
  * Debain/changelog: fix typos
  * Fix spelling mistake "informatiom" -> "information"
  * Makefile: use xz compression for dist tarball
  * Ignore duplicated power readings from RAPL mmio

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 30 Jan 2023 15:33:19 +0000

powerstat (0.03.00-1) unstable; urgency=medium

  * Manual: update copyright year
  * Update manual date
  * Makefile: bump version
  * Remove unused variable total_freq
  * Add min/max CPU frequencies, calculate CPU freq using geometric mean
  * Remove i915 power measurements
  * Add extra errno error information and check for access issues

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 24 Jan 2023 09:45:24 +0000

powerstat (0.02.28-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update control to 4.6.1
  * Add hint on how to use powerstat if -R option fails to find RAPL
  * Widen range of power_domains and thermal_zones, make them signed integers
  * powerstat: sanity check readdir name
  * Update copyright year
  * Clean up some whitespaces
  * powerstat: add notes on deprecated i915 power interface

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 6 Dec 2022 13:09:11 +0000

powerstat (0.02.27-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add README.md to dist rule
  * manual: update date, author email and copyright
  * debian/watch: update watch path for tarball, move to version 4
  * debian/copyright: Update copyright and git URL
  * debian/control: update author email address and project URL
  * Add README.md
  * snapcraft: update to core20
  * Return uint32_t from proc_info_hash
  * snap: add supported build architectures
  * Fix whitespace in strlcpy

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 10 Nov 2021 18:31:21 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/powerstat

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/powerstat/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate

## powerstat 0.03.03

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.03.01
+VERSION=0.03.03
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
powerstat (0.03.03-1) unstable; urgency=medium

  * Makefile:: bump version
  * Don't fail if process netlink listen fails
  * Remove powercap debug

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 24 Apr 2023 17:32:45 +0100

powerstat (0.03.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: control: update standards version to 4.6.2
  * Don't account for duplicated RAPL domains, make Watts field total
    of all RAPL domains

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 24 Mar 2023 10:39:11 +0000

## powerstat 0.04.02

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2011-2021 Canonical, Ltd.
-# Copyright (C) 2021-2023 Colin Ian King.
+# Copyright (C) 2021-2024 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,9 +17,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.03.03
+VERSION=0.04.02
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
 #
 # Pedantic flags
@@ -45,7 +45,7 @@
 dist:
 	rm -rf powerstat-$(VERSION)
 	mkdir powerstat-$(VERSION)
-	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING snap \
+	cp -rp Makefile mascot powerstat.c powerstat.8 COPYING rpm \
 		.travis.yml bash-completion README.md powerstat-$(VERSION)
 	tar -Jcf powerstat-$(VERSION).tar.xz powerstat-$(VERSION)
 	rm -rf powerstat-$(VERSION)
@@ -60,4 +60,4 @@
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp powerstat.8.gz ${DESTDIR}${MANDIR}
 	mkdir -p ${DESTDIR}${BASHDIR}
-	cp bash-completion/powerstat ${DESTDIR}${BASHDIR}
+	cp -p bash-completion/powerstat ${DESTDIR}${BASHDIR}

=== debian/changelog ===
powerstat (0.04.02-1) unstable; urgency=medium

  * rpm: update spec for 0.04.02
  * Makefile: bump version
  * Makefile: add -O2 to optimization flags
  * Update copyright year to 2024
  * debian/rules: add missing hardening settings

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 10:42:36 +0000

powerstat (0.04.01-1) unstable; urgency=medium

  * rpm: update spec for 0.04.01
  * Makefile: bump version
  * Typo powerstat.c missing dot
  * Rename strlcpy with bsd_strlcpy to avoid name clashing with glibc-2.38
  * Show logo in README
  * Create RPM spec file
  * Preserve bash completion file timestamp

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 24 Nov 2023 10:48:11 +0000

powerstat (0.04.00-1) unstable; urgency=medium

  * Makefile: bump version
  * Report N/A for unknown CPU/GPU frequencies
  * Makefile: remove snap from make dist rule
  * Update manual and help for -a option, note it enables -g
  * Add -g GPU frequency stats option
  * Remove snapcraft
  * README.md: Add repology link

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 24 Nov 2023 10:13:24 +0000

## powerstat 0.04.03

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.04.02
+VERSION=0.04.03
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
powerstat (0.04.03-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:06 +1100

powerstat (0.04.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Re-use last ujoules setting if current value is invalid
  * Ignore power readings that are zero

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 6 Mar 2024 14:12:10 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/powerstat

## powerstat 0.04.04

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2011-2021 Canonical, Ltd.
-# Copyright (C) 2021-2024 Colin Ian King.
+# Copyright (C) 2021-2025 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.04.03
+VERSION=0.04.04
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
powerstat (0.04.04-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 4.7.1.1
  * powerstat: fix potential divide by zero by time_total
  * Update copyright year

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 26 Feb 2025 13:21:53 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.2
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.7.1.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/powerstat

## powerstat 0.04.05

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.04.04
+VERSION=0.04.05
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
powerstat (0.04.05-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update standards version to 4.7.2
  * powerstate: remove debug messages

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 7 May 2025 12:24:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.7.1.1
+Standards-Version: 4.7.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/powerstat

## powerstat 0.04.06

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2011-2021 Canonical, Ltd.
-# Copyright (C) 2021-2025 Colin Ian King.
+# Copyright (C) 2021-2026 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.04.05
+VERSION=0.04.06
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
powerstat (0.04.06-1) unstable; urgency=medium

  * Sync with upstream version 0.04.06

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 2 Mar 2026 18:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/powerstat
